# Interface WormholeTransfer<PN>

#### Type Parameters

- #### PN extends ProtocolName

#### Hierarchy

- WormholeTransfer

#### Implemented by

- CircleTransfer
- CircleTransfer
- GatewayTransfer
- GatewayTransfer
- TokenTransfer
- TokenTransfer

- Defined in connect/src/wormholeTransfer.ts:176

#####
Index

### Properties

transfer

### Methods

completeTransfer
fetchAttestation
getTransferState
initiateTransfer

## Properties

### transfer

transfer: TransferRequest<PN>

- Defined in connect/src/wormholeTransfer.ts:177

## Methods

### completeTransfer

- completeTransfer(signer): Promise<string[]>

- #### Parameters

  - ##### signer: Signer

  #### Returns Promise<string[]>

  - Defined in connect/src/wormholeTransfer.ts:193

### fetchAttestation

- fetchAttestation(timeout?): Promise<AttestationId[]>

- #### Parameters

  - ##### `Optional` timeout: number

  #### Returns Promise<AttestationId[]>

  - Defined in connect/src/wormholeTransfer.ts:189

### getTransferState

- getTransferState(): TransferState

- #### Returns TransferState

  - Defined in connect/src/wormholeTransfer.ts:181

### initiateTransfer

- initiateTransfer(signer): Promise<string[]>

- #### Parameters

  - ##### signer: Signer

  #### Returns Promise<string[]>

  - Defined in connect/src/wormholeTransfer.ts:185

Generated using TypeDoc